# e-Plikt

The **e-Plikt** module provides a streamlined solution for managing legal deposit requirements within digital publishing
workflows. It enables organizations to comply with legal deposit mandates by integrating seamlessly with existing
Drupal-based systems.

## Requirements

* The core [Media](https://www.drupal.org/docs/8/core/modules/media) module
* The [Media entity download](https://www.drupal.org/project/media_entity_download) module

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Configure the e-Plikt module on the e-Plikt configuration page (/admin/config/services/eplikt).

1. Enter your *Publisher* unique identifier in the form `http://id.kb.se/organisations/SE<organisation_number>+ev.[-suffix]`
2. Enter the default value for *Access rights*
3. Select witch *Sources* you want to enable

When the above steps are completed click *Save*. After you have saved the configuration form and have selected at least one source
you will be presented with additional configuration options for the selected sources.

## Source plugins

The module ships with two source plugins, *Node* and *Media*. For most use cases these will be enough. If you have complex content
structure or embedded content that needs to be included in the e-Plikt delivery you can make your own plugin.

For inspiration look at the included plugins at `Drupal\eplikt\Plugin\eplikt` and the base class at `Drupal\eplikt\EpliktSourceBase`.