<?php

namespace Drupal\eplikt\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a EpliktSource annotation object.
 *
 * @see \Drupal\eplikt\EpliktSourcePluginManager
 * @see plugin_api
 *
 * @Annotation
 */
class EpliktSource extends Plugin {

  /**
   * The plugin ID.
   *
   * This is used in the backend to identify the e-Plikt source plugin, not used for parsing.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the e-Plikt source plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * Additional administrative information about the e-Plikt source plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *  (optional)
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * The name of the provider that owns the e-Plikt source plugin.
   *
   * @var string
   */
  public $provider;

}
