<?php

declare(strict_types=1);

namespace Drupal\eplikt;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\Plugin\PluginFormInterface;

/**
 * An interface for WebhookHandler plugins.
 */
interface EpliktSourceInterface extends ConfigurableInterface, PluginInspectionInterface, PluginFormInterface, ContainerFactoryPluginInterface {

  /**
   * EpliktSourceInterface label.
   *
   * @return string
   *   The e-Plikt source plugin label.
   */
  public function getLabel(): string;

  /**
   * EpliktSource description.
   *
   * @return string
   *   The e-Plikt source plugin description.
   */
  public function getDescription(): string;

  /**
   * Get entities.
   *
   * @return ContentEntityInterface[]
   */
  public function getEntities(?int $max_age = NULL): array;

}
