<?php

namespace Drupal\eplikt;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\eplikt\Annotation\EpliktSource;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * A plugin manager for EpliktSource plugins.
 */
class EpliktSourcePluginManager extends DefaultPluginManager {

  /**
   * EpliktSourcePluginManager constructor.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/eplikt', $namespaces, $module_handler, EpliktSourceInterface::class,EpliktSource::class);
    $this->alterInfo('eplikt_source_info');
    $this->setCacheBackend($cache_backend, 'eplikt_source_info');
  }

}
